Subject: Re: bug#33248: python-minimal compilation is breaking

From: Christopher Baines <[email-masked]>
Date: Sat, 03 Nov 2018 09:09:07 +0000

Gábor Boskovits <[email-masked]> writes:

> <[email-masked]> ezt írta (időpont: 2018. nov. 3., Szo 7:13):
>
>> I am watching this bug on Lenovo G50-30 (CPU 2.1 GHz, 2Gb Ram):
>>
>> # guix pull  --substitute-urls=https://berlin.guixsd.org
>> Updating channel 'guix' from Git repository at '
>> https://git.savannah.gnu.org/git/guix.git'...
>> Building from this channel:
>>   guix      https://git.savannah.gnu.org/git/guix.git    3995e85
>> Computing Guix derivation for 'x86_64-linux'... \
>> nothing to be done
>>
>> # guix package  --substitute-urls=https://berlin.guixsd.org -u
>> substitute: updating substitutes from 'https://berlin.guixsd.org'...
>> 100.0%
>> substitute: updating substitutes from 'https://berlin.guixsd.org'...
>> 100.0%
>> building
>> /gnu/store/6c4g38n9fhvnlk2vasn34mdd6nvpgx8m-python-minimal-3.6.5.drv...
>> /Killed
>> #
>>
>> Python-minimal cannot compile.
>>
>
> Most probably you are hitting a resource limit, I guess ram. Do you have
> any swap?

I think I've hit the same problem, I tried with 32GB of RAM, along with
60GB of swap, and it still didn't work.

There is a bug here describing it as a memory link [1], which is a
better theory I think.

1: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=33213